org.apache.lucene.analysis.icu

## Class ICUNormalizer2CharFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.CharFilterFactory
    - - org.apache.lucene.analysis.icu.ICUNormalizer2CharFilterFactory

- All Implemented Interfaces:
    MultiTermAwareComponent

      public class ICUNormalizer2CharFilterFactory
      extends CharFilterFactory
      implements MultiTermAwareComponent

  Factory for `ICUNormalizer2CharFilter`

  Supports the following attributes:

  - name: A Unicode Normalization Form, one of 'nfc','nfkc', 'nfkc_cf'. Default is nfkc_cf.
  - mode: Either 'compose' or 'decompose'. Default is compose. Use "decompose" with nfc or nfkc, to get nfd or nfkd, respectively.
  - filter: A `UnicodeSet` pattern. Codepoints outside the set are always left unchanged. Default is [] (the null set, no filtering).
  See Also:
    `ICUNormalizer2CharFilter`, `Normalizer2`, `FilteredNormalizer2`

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ICUNormalizer2CharFilterFactory(Map<String,String> args)` Creates a new ICUNormalizer2CharFilterFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Reader` | `create(Reader input)`
    `AbstractAnalysisFactory` | `getMultiTermComponent()`

    - ### Methods inherited from class org.apache.lucene.analysis.util.CharFilterFactory

      `availableCharFilters, forName, lookupClass, reloadCharFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ICUNormalizer2CharFilterFactory

          public ICUNormalizer2CharFilterFactory(Map<String,String> args)

      Creates a new ICUNormalizer2CharFilterFactory

  - ### Method Detail

    - #### create

          public Reader create(Reader input)

      Specified by:
        `create` in class `CharFilterFactory`

    - #### getMultiTermComponent

          public AbstractAnalysisFactory getMultiTermComponent()

      Specified by:
        `getMultiTermComponent` in interface `MultiTermAwareComponent`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.